%global pypi_name pysftp

Name:           python-%{pypi_name}
Version:        0.2.9
Release:        %mkrel 6
Summary:        A friendly face on SFTP
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/pysftp/
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A friendly face on SFTP.

%package -n python3-%{pypi_name}
Summary:        A friendly face on SFTP
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)


%description -n python3-%{pypi_name}
A friendly face on SFTP.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Mar 03 2025 wally <wally> 0.2.9-6.mga10
+ Revision: 2159865
- rebuild for python3.13

* Mon Feb 26 2024 daviddavid <daviddavid> 0.2.9-5.mga10
+ Revision: 2044528
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.2.9-4.mga9
+ Revision: 1822890
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.2.9-3.mga9
+ Revision: 1775645
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.2.9-2.mga9
+ Revision: 1733229
- Rebuild for python 3.9

* Sun Dec 13 2020 neoclust <neoclust> 0.2.9-1.mga8
+ Revision: 1656514
- imported package python-pysftp

